Vulnerability & Exploit Database

Back to search

Cogent DataHub HTTP Server Buffer Overflow

This module exploits a stack based buffer overflow on Cogent DataHub 7.3.0. The vulnerability exists in the HTTP server. While handling HTTP headers, a strncpy() function is used in a dangerous way. This module has been tested successfully on Cogent DataHub 7.3.0 (Demo) on Windows XP SP3.

Free Metasploit Download

Get your copy of the world's leading penetration testing tool

 Download Now

Module Name

exploit/windows/http/cogent_datahub_request_headers_bof

Authors

  • rgod <rgod [at] autistici.org>
  • juan vazquez <juan.vazquez [at] metasploit.com>

References

Targets

  • Windows XP SP3 English / Cogent DataHub 7.3.0

Platforms

  • windows

Reliability

Development

Module Options

To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

msf > use exploit/windows/http/cogent_datahub_request_headers_bof msf exploit(cogent_datahub_request_headers_bof) > show targets ...targets... msf exploit(cogent_datahub_request_headers_bof) > set TARGET <target-id> msf exploit(cogent_datahub_request_headers_bof) > show options ...show and set options... msf exploit(cogent_datahub_request_headers_bof) > exploit

Related Vulnerabilities

Related Modules